io.netty.handler.codec.xml

## Class XmlEntityReference

- java.lang.Object
- - io.netty.handler.codec.xml.XmlEntityReference

    public class XmlEntityReference
    extends Object

XML entity reference ... `&#nnnn;`

### Constructor Summary

Constructors
Constructor and Description
`XmlEntityReference(String name, String text)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`int` `hashCode()`
`String` `name()`
`String` `text()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### XmlEntityReference

    public XmlEntityReference(String name,
                              String text)

### Method Detail

#### name

    public String name()

#### text

    public String text()

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`